A todos los usuarios de PSP 2000 con placa maldita, PSP 3000 y PSP GO! con versiones superiores a 5.03, os recomendamos que si estáis interesados en poder liberar vuestras PSP no las actualicéis a versiones superiores a 6.20.
 
Los avances que estamos realizando todavía no se están culminando del todo pero van encaminados a poder liberarlas hasta la versión 6.20.
 
Por la intereactividad de la PSP GO! con el servidor del Network, se hace más complicada la liberación en caso que lleguemos a descifrar por completo estos modelos.
 
Llevamos trabajando duro 2 meses, rechazando otros servicios de liberaciones y reparaciones para dedicarnos exclusivamente a descifrar la seguridad de estos modelos.
 
Todavía no hemos conseguido una liberación al 100% y no sabemos cuanto tiempo vamos a tardar en ello, ahora nos tomaremos un descanso y a partir del 19 de julio continuaremos con este proyecto.
 
SONY ya está al corriente de nuestros avances, por lo que es muy probable que en los próximos días saque una nueva versión de sistema, por eso es muy importante que no actualicéis vuestra PSP a versiones superiores a la 6.20, y por supuesto, si teneis PSP con versiones inferiores a la 5.03 tampoco la actualicéis a ninguna versión superior a esta, en estos casos (versiones inferiores a 5.03) poneros en contacto con nosotros para la liberación.
 
Rogamos no os impacientéis con preguntas tipo "cuanto tiempo váis a tardar", "ya se puede", "como se hace", etc etc etc, cualquier novedad o avance lo publicaremos en esta misma Web, como llevamos haciendo desde que se fundó Todo PSP Barcelona en el año 2006.